Name: sbcl
Version: 0.8.9.55
Release: alt0.1

Group: Development/Lisp
Summary: Steel Bank Common Lisp development environment
License: Distributable
Url: http://sbcl.sourceforge.net/
Source: %name-%version-source.tar.bz2
Patch: sbcl-0.8.6-corepath.patch
Patch1: sbcl-0.8.6-runtime.patch
BuildRequires: sbcl
AutoReq: yes, noshell

%description

   Steel Bank Common Lisp (SBCL) is a Open Source development environment
   for Common Lisp. It includes an integrated native compiler,
   interpreter, and debugger.

   SBCL is supported for Linux, FreeBSD, and OpenBSD on x86 CPUs, and for
   Linux on Alpha CPUs.

   SBCL is a fork off of the main branch of CMU CL. Broadly speaking,
   SBCL is distinguished from CMU CL by a greater emphasis on
   maintainability. Maybe someday this will translate into better
   stability, better ANSI compliance, and so forth, but for now, the big
   advantage is that an SBCL system is built directly from scratch, as an
   ordinary software system is.

   SBCL also places less emphasis than CMU CL does on non-ANSI
   extensions, either on backward compatibility with the old CMU CL
   non-ANSI extensions or on adding new non-ANSI extensions.

   SBCL derives most of its code from CMU CL, created at Carnegie Mellon
   University. Radical changes have been made to some parts of the system
   (particularly bootstrapping) but most fundamentals (like the mapping
   of Lisp abstractions onto the underlying hardware, the basic
   architecture of the compiler, and most of the runtime support code)
   are only slightly changed. Enough changes have been made to the
   interface and architecture that calling the new system CMU Common Lisp
   would cause confusion - the world does not need multiple incompatible
   systems named CMU CL. But it's appropriate to acknowledge the descent
   from the CMU hackers (and post-CMU CMU CL hackers) who did most of the
   heavy lifting to make the system work. So the system is named Steel
   Bank after the industries where Andrew Carnegie and Andrew Mellon,
   respectively, made the big bucks.

%prep
%setup
#%patch -p1
%patch1 -p1

%build
export SBCL_HOME=/usr/lib/sbcl/
export INSTALL_ROOT=/usr 
./make.sh
#cd doc
#echo "exit 0" >> make-doc.sh
#INSTALL_ROOT=/usr sh ./make-doc.sh
#cd ../

%install
%define _compress_method skip
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/sbcl/
mkdir -p $RPM_BUILD_ROOT%_mandir/man1/

INSTALL_ROOT=$RPM_BUILD_ROOT/usr sh ./install.sh

mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
cp BUGS  COPYING CREDITS INSTALL NEWS PRINCIPLES OPTIMIZATIONS README \
	STYLE SUPPORT TLA TODO $RPM_BUILD_ROOT%_docdir/%name-%version/
#mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version/html/
#cp doc/html/* $RPM_BUILD_ROOT%_docdir/%name-%version/html/
#cd $RPM_BUILD_ROOT%_docdir/%name-%version/html/

%files
%_bindir/*
%_libdir/sbcl/*
%_mandir/man?/*
%_docdir/*

%changelog
* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.9.55-alt0.1
- rebuild

* Thu Mar 25 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.8-alt3
- autoreq bug fixed

* Mon Mar 22 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.8-alt2
- new version

* Sun Jan 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.6-alt4
core path fixed

* Wed Jan 14 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.6-alt3
Install_root fixed

* Thu Dec 25 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.6-alt2
core path bug fixed


* Wed Dec 17 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.6-alt1
- New version

* Fri Aug 29 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.3-alt1
- new version

* Tue Jun 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.8.0-alt1
- new version

* Tue Jan 07 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.11-alt1cvs0
- new version (with some modifications from CVS)

* Mon Dec 09 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.10-alt2
- spec cleanup

* Tue Dec 03 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.10-alt1
- new version

* Sat Oct 05 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.8-alt1
- 0.7.8 release

* Thu Aug 15 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.6-alt1
- 0.7.6 release

*Tue Jun 25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.5-alt1
- 0.7.5 release

*Tue Apr 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.7.3-alt1
- 0.7.3 release

*Sun Jan 27 2002 Vitaly Lugovsky <warlock@skeptik.net>
- Bootstrap requirement added (rebuild)

*Sun Jan 27 2002 Vitaly Lugovsky <warlock@skeptik.net>
- First RPM release.
